Subject: Re: [Int-dir] Int-Dir review of draft-ietf-6lo-privacy-considerations-03

From: Dave Thaler <[email-masked]>
Date: Mon, 31 Oct 2016 19:26:32 +0000

> 1) Page 4 first paragraph states it takes a year to scan 26 bit of id space.
>    Even if the math is given in the next paragraph it is not clear what are
>    the assumptions to number of devices per link. I take it is one device on
>    that link.
The statement you’re referring to is independent of the number of devices per link.  The text says:
   Generation of ICMP unreachable errors is typically rate limited to 2
   per second (the default in routers such as Cisco routers running IOS
   12.0 or later).  Such a rate results in taking about a year to
   completely scan 26 bits of space.

It’s simply a statement of time to completely scan a number of addresses.   To scan 2^26 addresses at 2/second, it takes
2^26 = 67108864 addresses at 2 addresses per second = 33554432 seconds = 388.36 days or “about a year”

So no such assumption about the number of devices per link is relevant here, it’s just simple math.

> 2) Page 5 table has "6 or ???" for NFC.. it would be good to either replace "???" with
>    something meaningful or explain why "???".
An earlier version of the NFC draft was unclear as to whether there was an alternative.  In the current NFC draft there
is no alternative but now it’s only 5 bits, since section 3.3 of the latest NFC draft says:
   NFC-enabled devices are identified by 6-bit LLC address.  In other
   words, Any address SHALL be usable as both an SSAP and a DSAP
   address.  According to NFCForum-TS-LLCP_1.1 [3<https://tools.ietf.org/html/draft-ietf-6lo-nfc-04#ref-3>], address values
   between 0 and 31 (00h - 1Fh) SHALL be reserved for well-known service
   access points for Service Discovery Protocol (SDP).  Address values
   between 32 and 63 (20h - 3Fh) inclusively, SHALL be assigned by the
   local LLC as the result of an upper layer service request.

So only values 32-63 are relevant for normal addresses and I have now changed “6 or ???” to “5”, since it seems
0-31 are like anycast addresses similar to RFC 2526 if I understand correctly.

I will submit an update today before the deadline.

Dave

From: jouni korhonen [mailto:[email-masked]]
Sent: Thursday, September 22, 2016 9:44 AM
To: <[email-masked]> <[email-masked]>; [email-masked]; [email-masked]
Subject: Int-Dir review of draft-ietf-6lo-privacy-considerations-03

I am an assigned INT directorate reviewer for draft-ietf-6lo-privacy-considerations-03<https://tools.ietf.org/html/draft-ietf-6lo-privacy-considerations-03>. These comments were written primarily for the benefit of the Internet Area Directors. Document editors and shepherd(s) should treat these comments just like they would treat comments from any other IETF contributors and resolve them along with any other Last Call comments that have been received. For more details on the INT Directorate, see http://www.ietf.org/iesg/directorate.html.

Document: draft-ietf-6lo-privacy-considerations-03
Reviewer: Jouni Korhonen
Review Date: 9/22/2016
IETF LC End Date:
IESG Telechat date: (if known)

Summary: Ready

Major issues: None

Minor issues: None

Nits/editorial comments:
1) Page 4 first paragraph states it takes a year to scan 26 bit of id space. Even if the math is given in the next paragraph it is not clear what are the assumptions to number of devices per link. I take it is one device on that link.
2) Page 5 table has "6 or ???" for NFC.. it would be good to either replace "???" with something meaningful or explain why "???".
Regards,
 Jouni